/*

  REXX Script to install InJoy - and create a desktop folder

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Installing..."

dir = directory() || '\'

say "Creating folder"
call SysCreateObject "WPFolder", "InJoy Internet Dialer", "<WP_DESKTOP>", "OBJECTID=<INJOYFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=10.Helv;BACKGROUND=" || dir || "back.bmp,T;ICONFILE=" || dir || "FOLDER.ICO", "replace"
call SysCreateObject "WPFolder", "Information", "<INJOYFOLDER>", "OBJECTID=<INJOYINFOFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
call SysCreateObject "WPFolder", "Different methods"|| d2c(10) || "of payment", "<INJOYFOLDER>", "OBJECTID=<INJOYPAYFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
say "Creating program objects"

call SysCreateObject "WPProgram", "BMT resellers", "<INJOYPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "ORDER.BMT", "replace"
call SysCreateObject "WPProgram", "Deutsche Bank" || d2c(10) || "money transfer", "<INJOYPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "ORDER.DE", "replace"
call SysCreateObject "WPProgram", "Scandinavian" || d2c(10) || "registration site", "<INJOYPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "ORDER.SK", "replace"
call SysCreateObject "WPProgram", "Payment via" || d2c(10) || "Phone/FAX (USA)", "<INJOYPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "ORDER.USA", "replace"


call SysCreateObject "WPProgram", "License"  || d2c(10) || "Agreement", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "LICENSE.DOC", "replace"
call SysCreateObject "WPProgram", "FAQ", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "FAQ.TXT", "replace"
call SysCreateObject "WPProgram", "File_ID.DIZ", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "FILE_ID.DIZ", "replace"
call SysCreateObject "WPProgram", "Users Guide", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "USERGUID.DOC", "replace"
call SysCreateObject "WPProgram", "Readme", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "README.DOC", "replace"
call SysCreateObject "WPProgram", "Readme First", "<INJOYINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "README.1ST", "replace"

call SysCreateObject "WPProgram", "F/X Communications" || d2c(10) || "- http://www.fx.dk", "<INJOYINFOFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "http://www.fx.dk", "replace"

call SysCreateObject "WPProgram", "KillJoy", "<INJOYFOLDER>", "EXENAME=" || dir || "KILLJOY.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "BMT Registration" || d2c(10) || "Applet", "<INJOYFOLDER>", "EXENAME=" || dir || "PURCHASE.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "Get legal and" || d2c(10) || "Register", "<INJOYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "REGISTER.TXT", "replace"
call SysCreateObject "WPProgram", "InJoy", "<INJOYFOLDER>", "EXENAME=" || dir || "IN-JOY.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
say "Installation completed - InJoy"
